Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055613 - glibc scanf bug, breaks ATLAS build
Summary: glibc scanf bug, breaks ATLAS build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 20
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Siddhesh Poyarekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 15:50 UTC by Volker Braun
Modified: 2016-11-24 12:13 UTC (History)
7 users (show)

Fixed In Version: glibc-2.18-12.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-01 04:03:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 15917 None None None Never

Description Volker Braun 2014-01-20 15:50:03 UTC
Description of problem:

Glibc fails to parse 0 in scientific notation. This breaks the ATLAS build system, failing with a segfault in RunMADef (atlas-3.8.4) or an assertion failure in RunMulAdd (atlas-3.10.1).


Version-Release number of selected component (if applicable): 
* Fedora 20
* glibc-devel-2.18-11.fc20

How reproducible:

Always.


Steps to Reproduce:

$ cat test.c 
#include <stdio.h>
int main() {
    float a, b;
    int r = sscanf("0e+0 42", "%f %f", &a, &b);
    printf("r=%d a=%f b=%f\n", r, a, b);
    return 0;
}


Actual results:

$ gcc test.c && ./a.out
r=1 a=0.000000 b=0.000000


Expected results:

r=2 a=0.000000 b=42.000000


Additional info:
* https://sourceware.org/bugzilla/show_bug.cgi?id=15917

Comment 1 Carlos O'Donell 2014-01-20 16:30:38 UTC
Volker,

Thanks. Sorry about this. We'll get this fixed ASAP.

Siddhesh,

Would you mind looking at the backport?

Comment 2 Fedora Update System 2014-01-30 10:14:50 UTC
glibc-2.18-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glibc-2.18-12.fc20

Comment 3 Fedora Update System 2014-01-31 04:26:12 UTC
Package glibc-2.18-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.18-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1830/glibc-2.18-12.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-02-01 04:03:26 UTC
glibc-2.18-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.